/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sync.model;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.kernel.annotation.ImplementationClassName;
import com.liferay.portal.kernel.model.PersistedModel;
import com.liferay.portal.kernel.util.Accessor;

/**
 * The extended model interface for the SyncDLFileVersionDiff service. Represents a row in the &quot;SyncDLFileVersionDiff&quot; database table, with each column mapped to a property of this class.
 *
 * @author Brian Wing Shun Chan
 * @see SyncDLFileVersionDiffModel
 * @see com.liferay.sync.model.impl.SyncDLFileVersionDiffImpl
 * @see com.liferay.sync.model.impl.SyncDLFileVersionDiffModelImpl
 * @generated
 */
@ImplementationClassName("com.liferay.sync.model.impl.SyncDLFileVersionDiffImpl")
@ProviderType
public interface SyncDLFileVersionDiff extends SyncDLFileVersionDiffModel,
	PersistedModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this interface directly. Add methods to {@link com.liferay.sync.model.impl.SyncDLFileVersionDiffImpl} and rerun ServiceBuilder to automatically copy the method declarations to this interface.
	 */
	public static final Accessor<SyncDLFileVersionDiff, Long> SYNC_DL_FILE_VERSION_DIFF_ID_ACCESSOR =
		new Accessor<SyncDLFileVersionDiff, Long>() {
			@Override
			public Long get(SyncDLFileVersionDiff syncDLFileVersionDiff) {
				return syncDLFileVersionDiff.getSyncDLFileVersionDiffId();
			}

			@Override
			public Class<Long> getAttributeClass() {
				return Long.class;
			}

			@Override
			public Class<SyncDLFileVersionDiff> getTypeClass() {
				return SyncDLFileVersionDiff.class;
			}
		};
}